Debian Bug report logs - #370277
manpages-dev: inet_ntoa small typoe in NOTE section

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Marc Lehmann <debian-reportbug@plan9.de>

Date: Sun, 4 Jun 2006 13:35:00 UTC

Severity: minor

Tags: fixed-upstream

Found in version manpages/2.32-1

Fixed in version manpages/2.33-2

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#370277; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Marc Lehmann <debian-reportbug@plan9.de>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Lehmann <debian-reportbug@plan9.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: inet_ntoa small typoe in NOTE section
Date: Sun, 04 Jun 2006 15:20:29 +0200
Package: manpages-dev
Version: 2.32-1
Severity: minor


The NOTE section currently reads (last sentence):

   For example, inet_aton("226.000.000.037", &t) will interpret the address as 266.0.0.31 and not 226.0.0.37.

It should be 226 instead of 266 in the second address.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.16.9
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages manpages-dev depends on:
hi  manpages                      2.17-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#370277; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 370277@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Marc Lehmann <debian-reportbug@plan9.de>, 370277@bugs.debian.org
Cc: debc <control@bugs.debian.org>
Subject: Re: Bug#370277: manpages-dev: inet_ntoa small typoe in NOTE section
Date: Mon, 05 Jun 2006 08:28:09 +1200
tags 370277 fixed-upstream
thanks

> The NOTE section currently reads (last sentence):
> 
>    For example, inet_aton("226.000.000.037", &t) will interpret the address as 266.0.0.31 and not 226.0.0.37.
> 
> It should be 226 instead of 266 in the second address.


Thanks Marc.  Fixed in upstream 2.34.

Cheers,

Michael



Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc Lehmann <debian-reportbug@plan9.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 370277-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 370277-close@bugs.debian.org
Subject: Bug#370277: fixed in manpages 2.33-2
Date: Wed, 07 Jun 2006 23:47:11 -0700
Source: manpages
Source-Version: 2.33-2

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.33-2_all.deb
  to pool/main/m/manpages/manpages-dev_2.33-2_all.deb
manpages_2.33-2.diff.gz
  to pool/main/m/manpages/manpages_2.33-2.diff.gz
manpages_2.33-2.dsc
  to pool/main/m/manpages/manpages_2.33-2.dsc
manpages_2.33-2_all.deb
  to pool/main/m/manpages/manpages_2.33-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 370277@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  8 Jun 2006 08:18:50 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.33-2
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 369960 370277
Changes: 
 manpages (2.33-2) unstable; urgency=low
 .
   * Corrected markup in error(3)
   * Corrected capitalising in bind(2)
   * Removed superflous comments in readdir(3)
   * Roll back most of the upstream version of tsearch(3)
   * Corrected path of inotify.h in inotify_init(2) (closes: Bug#369960)
   * Fixed typo in inet(3) (closes: Bug#370277)
Files: 
 36806de5ce011d9d47001c9a8ecf5953 584 doc - manpages_2.33-2.dsc
 44a2b32bef5bb3daec20be93d24d3dec 48760 doc - manpages_2.33-2.diff.gz
 04569fe9871741d0a2ced8959eef0d17 476548 doc important manpages_2.33-2_all.deb
 6469009af5685e9b848d9818d75fb9e3 1204788 doc standard manpages-dev_2.33-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEh8R8W5ql+IAeqTIRAkksAJ9zIBrGFJZ3Yb6CVmHups6nGtV3KQCdEbD9
MR2McJ5h2/FMiuMXC/qdqzQ=
=Pg+h
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 15:59:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:32:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.